Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1053248 - Rebase to 5.5 aggregated war package with bug fixes.
Summary: Rebase to 5.5 aggregated war package with bug fixes.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: jasperreports-server-pro
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Yaniv Lavi
QA Contact: Barak Dagan
URL:
Whiteboard: infra
Depends On: 1053234
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-14 21:50 UTC by Yaniv Lavi
Modified: 2016-02-10 19:24 UTC (History)
10 users (show)

Fixed In Version: av2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 13:32:45 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0656 normal SHIPPED_LIVE jasperreports-server-pro 5.5 bug fix update for RHEVM 3.4 2014-06-09 17:32:12 UTC

Description Yaniv Lavi 2014-01-14 21:50:56 UTC
Description of problem:
This bug is for rebasing to 5.5 aggregated war package with bug fixes which fixes several issues.

Comment 2 Barak Dagan 2014-03-05 13:43:51 UTC
Fix will be implemented in AV3 - jasperreports-server-pro-5.5.0-8.el6ev

Comment 3 Yaniv Lavi 2014-03-05 15:23:49 UTC
If you are using 5.5.0-7 it is rebased and you can verify this.



Yaniv

Comment 6 Barak Dagan 2014-03-09 13:22:22 UTC
Verified on av2.1:

rhevm-dwh-3.4.0-0.4.master.20140224152332.el6ev.noarch
rhevm-reports-3.4.0-0.4.master.20140226133324.el6ev.noarch
jasperreports-server-pro-5.5.0-8.el6ev.noarch
jasper-libs-1.900.1-15.el6_1.1.x86_64

rpm -q --changelog jasperreports-server-pro-5.5.0-8.el6ev.noarch | less

01/22/2014 - dlitvak
Modified:
WEB-INF/lib/jasperserver-api-metadata-impl-5.5.0.jar: com.jaspersoft.jasperserver.api.metadata.common.service.impl.Cipherer
[35723] -  [case #42998] - can't import user with empty password.
Fix Cipherer to sub. a null password with encrypted "" during export. Encode method should never return anything but an encrypted string.

Comment 8 errata-xmlrpc 2014-06-09 13:32:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0656.html


Note You need to log in before you can comment on or make changes to this bug.